Subject: [PATCH] lib/decompress_unxz.c: removing all memory helper functions

From: [email-masked] (Thavatchai Makphaibulcboke)
Date: Fri, 25 May 2012 11:05:55 -0600

> We could do that.  But according to the comment in the original
> implementation, there seems to be a concern regarding its performance
> speed. If you believe all archs' memcpy would give comparable
> performance to the memmove. then I could do that.
> 

Also how about the case for overlapping buffer, especially when the
destination is at a higher address?  I do not believe memcpy guarantee
to work.

Thanks,
Mak.